import { ILogger } from './interface';
import { LogLevel } from './log-level';
/**
 * Implementation of ILogger
 */
export declare class Logger implements ILogger {
    /**
     * Logging level
     */
    LogLevel: LogLevel;
    /**
     * Create new instance of Logger
     * @param logLevel {LogLevel} Logging level
     */
    constructor(logLevel?: LogLevel);
    /**
     * Logs with Debug LogLevel
     * @param log {any} Message to log
     */
    Debug(message?: any): void;
    /**
     * Logs with Error LogLevel
     * @param log {any} Message to log
     */
    Error(message?: any): void;
    /**
     * Logs with Information LogLevel
     * @param log {any} Message to log
     */
    Information(message?: any): void;
    /**
     * Logs with Trace LogLevel
     * @param log {any} Message to log
     */
    Trace(message?: any): void;
    /**
     * Logs with Warning LogLevel
     * @param log {any} Message to log
     */
    Warning(message?: any): void;
    /**
     * Logs with given LogLevel
     * @param level {LogLevel} Logging level to log at
     * @param log {any} Message to log
     */
    private Log;
}
